Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA_Context_var Class Reference

`#include <Context.h>`

Collaboration diagram for CORBA_Context_var:

[legend]
List of all members.

## Public Methods
| CORBA_Context_var (void)
| CORBA_Context_var (CORBA_Context_ptr)
| CORBA_Context_var (const CORBA_Context_var &)
| ~CORBA_Context_var (void)
CORBA_Context_var & | operator= (CORBA_Context_ptr)
CORBA_Context_var & | operator= (const CORBA_Context_var &)
CORBA_Context_ptr | operator-> (void) const
| operator const CORBA_Context_ptr & () const
| operator CORBA_Context_ptr & ()
CORBA_Context_ptr | in (void) const
CORBA_Context_ptr & | inout (void)
CORBA_Context_ptr & | out (void)
CORBA_Context_ptr | _retn (void)
CORBA_Context_ptr | ptr (void) const
## Private Attributes
CORBA_Context_ptr | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_Context_var::CORBA_Context_var | ( | void |  | ) |

ACE_INLINE CORBA_Context_var::CORBA_Context_var | ( | CORBA_Context_ptr | p | ) |

ACE_INLINE CORBA_Context_var::CORBA_Context_var | ( | const CORBA_Context_var & | p | ) |

ACE_INLINE CORBA_Context_var::~CORBA_Context_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA_Context_ptr CORBA_Context_var::_retn | ( | void |  | ) |

ACE_INLINE CORBA_Context_ptr CORBA_Context_var::in | ( | void |  | ) | const

ACE_INLINE CORBA_Context_ptr & CORBA_Context_var::inout | ( | void |  | ) |

ACE_INLINE CORBA_Context_var::operator const CORBA_Context_ptr & | ( |  | ) | const

ACE_INLINE CORBA_Context_var::operator CORBA_Context_ptr & | ( |  | ) |

ACE_INLINE CORBA_Context_ptr CORBA_Context_var::operator-> | ( | void |  | ) | const

ACE_INLINE CORBA_Context_var & CORBA_Context_var::operator= | ( | const CORBA_Context_var & | p | ) |

ACE_INLINE CORBA_Context_var & CORBA_Context_var::operator= | ( | CORBA_Context_ptr | p | ) |

ACE_INLINE CORBA_Context_ptr & CORBA_Context_var::out | ( | void |  | ) |

ACE_INLINE CORBA_Context_ptr CORBA_Context_var::ptr | ( | void |  | ) | const

## Member Data Documentation

CORBA_Context_ptr CORBA_Context_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Context.h
- Context.inl